Bug 198368 - Package gimp-print lacks IPv6 support
Summary: Package gimp-print lacks IPv6 support
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gimp-print   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: IPv6Blocker
TreeView+ depends on / blocked
 
Reported: 2006-07-11 10:17 UTC by Peter Vrabec
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 4.2.7-21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-28 12:31:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
IPv6 patch (4.18 KB, patch)
2006-09-24 08:15 UTC, Jan Cholasta
no flags Details | Diff

Description Peter Vrabec 2006-07-11 10:17:58 UTC
This bug was reported automaticaly in connection with IPv6 project.
Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will be ready for IPv6.
			
This package seems to lack IPv6 support as is illustrated in attached log.
	
Here follows part of scanning log (grep -r F_INET *)/up to 30 lines: 

/gimp-print-4.2.7/src/cups/canon.c:181:      if ((fd_out = socket(AF_INET, SOCK_STREAM, 0)) < 0)
/gimp-print-4.2.7/src/cups/epson.c:209:      if ((fd_out = socket(AF_INET, SOCK_STREAM, 0)) < 0)

Comment 1 Jan Cholasta 2006-09-24 08:15:10 UTC
Created attachment 137011 [details]
IPv6 patch

This patch replaces the protocol-dependent (IPv4) routines with the
protocol-independent ones. It might need further adjustments to make it
actually work (someone with IPv6 capable network printer should test it).

Comment 2 Tim Waugh 2006-09-28 12:31:22 UTC
Thanks.  Patch applied in 4.2.7-21.


Note You need to log in before you can comment on or make changes to this bug.